Bug 1000760 - Cursor disappears after certain programs open
Cursor disappears after certain programs open
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 19:43 EDT by Sebastian Fernandez Giraldo
Modified: 2015-02-17 11:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:54:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Fernandez Giraldo 2013-08-24 19:43:05 EDT
Description of problem:
A few seconds after starting up Battle for Wesnoth or OpenShot my cursor image will disappear. I can still move the cursor around and click on things, I just can't see it. It usually takes a few seconds after the program starts for the problem to happen.
On Battle for Wesnoth I was able to semi-fix it by going to the settings and selecting "show colored mouse." Unfortunately the cursor disappears when I close the game. The fact that it happens the same way with two different programs leads me to believe it is a Fedora problem.

Version-Release number of selected component (if applicable): 19


How reproducible:
Every time.

Steps to Reproduce:
1. Open terminal
2. Type in Wesnoth or OpenShot
3. Press Enter
4. Wait a few seconds
5. Cursor image disappears

Actual results:
Cursor image disappears.

Expected results:
Cursor image should remain visible.

Additional info:
Comment 1 Petr Pisar 2014-01-08 05:13:31 EST
Unfortunately, I cannot reproduce it.

While you observe the problem, do you run Wesnoth in windowed of full-screen mode? If windowed mode, is the cursor hidden just above the SDL window or everywhere? What window manager do you use? Do you use composite extension in your desktop environment?

I have just a plain fluxbox without composition, nouveau driver and I can see the pointer cursor all the time.
Comment 2 Sebastian Fernandez Giraldo 2014-02-18 21:10:20 EST
I'm so sorry it took me so long to reply. It happened when in full-screen and windowed mode both inside and outside the screen (I remember because it made shutting down a challenge XD). I use Gnome I assume 3.8 since that's what comes with F19. Unfortunately I've upgraded to 20 now so I can't give you super specific information. I'm still seeing a similar bug on 20. If I don't move the mouse for a while the cursor will disappear but it'll come back as soon as I move it again. Thank you for your patience!
Comment 3 Petr Pisar 2014-02-19 02:13:30 EST
SDL does not provide autohiding cursor. Application can only explicitly enable or disable the cursor by calling SDL_ShowCursor(). The Wesnoth sources never call SDL_ShowCursor(SDL_DISABLE):

$ grep -Hnr SDL_ShowCursor *
src/cursor.cpp:138:     SDL_ShowCursor(SDL_ENABLE);
src/cursor.cpp:145:     SDL_ShowCursor(SDL_ENABLE);
src/cursor.cpp:167:    SDL_ShowCursor(SDL_ENABLE);

So have to conclude that the bug is not either in the SDL nor in the Wesnoth.

In my opinion, you have installed and running some other tool which autohides the cursor after some time of inactivity.

E.g. "unclutter" tool does that. I did a short test with it, and it hides cursor in Wesnoth if Wesnoth uses no-colored cursor. If Wesnoth used colored cursor (it's own cursor implementation), then the image of the cursor keeps on the screen. Though the unclutter cannot hide cursor in a full-screen SDL application.

I'm sorry, cannot help you. I will reassign the problem to the Wesnoth, as they could know more about Wesnoth internals. I cannot see any cause in the SDL.
Comment 4 Fedora End Of Life 2015-01-09 14:35:11 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:54:34 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.